let t = 0;

function setup() { // In godot is dit de ready function
  createCanvas(1000, 1000);
}

function draw() { // In godot is dit de process function
  t += 0.001 * deltaTime
  background(220);
  translate(500, 650);
  rotate(t);
  fill(255, 0, 0);
  circle(0, 600, 100);
}